imagecreatefromgd
imagecreatefromjpeg
GD Functions
PHP Manual

# imagecreatefromgif

(PHP 4, PHP 5)

imagecreatefromgif — Create a new image from file or URL

### Description

resource imagecreatefromgif ( string `$filename` )

imagecreatefromgif() returns an image identifier representing the image obtained from the given filename.

To ease debugging the following example will produce an error GIF:

Example #1 Example to handle an error during creation

`<?php
function LoadGif ($imgname)
{
$im = @imagecreatefromgif ($imgname); /* Attempt to open */
if (!$im) { /* See if it failed */
$im = imagecreatetruecolor (150, 30); /* Create a blank image */
$bgc = imagecolorallocate ($im, 255, 255, 255);
$tc = imagecolorallocate ($im, 0, 0, 0);
imagefilledrectangle ($im, 0, 0, 150, 30, $bgc);
/* Output an errmsg */
imagestring ($im, 1, 5, 5, "Error loading $imgname", $tc);
}
return $im;
}
header("Content-Type: image/gif");
$img = LoadGif("bogus.image");
imagegif($img);
?>`

The above example will output something similar to:

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen() for more details on how to specify the filename and List of Supported Protocols/Wrappers for a list of supported URL protocols.

### Parameters

`filename`

  Path to the GIF image

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Notes

> Note: GIF support was removed from the GD library in Version 1.6, and added back in Version 2.0.28. This function is not available between these versions.

Warning

Windows versions of PHP prior to PHP 4.3.0 do not support access of remote files via this function, even if allow_url_fopen is enabled.

imagecreatefromgd
imagecreatefromjpeg
GD Functions
PHP Manual